Bug 251687 - [NEW PORT] databases/pgbackrest: Backup and restore program for PostgreSQL
Summary: [NEW PORT] databases/pgbackrest: Backup and restore program for PostgreSQL
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Michael Zhilin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-08 18:01 UTC by schoutm
Modified: 2021-04-21 16:06 UTC (History)
5 users (show)

See Also:


Attachments
pgbackrest.shar (6.74 KB, text/plain)
2020-12-08 18:01 UTC, schoutm
no flags Details
Updated port, no patches needed based on changes merged upstream (1.81 KB, text/plain)
2021-02-28 19:31 UTC, schoutm
no flags Details
Updated port SHAR to upstream v2.33 (1.76 KB, text/plain)
2021-04-20 18:17 UTC, schoutm
no flags Details
Patch for pgbackrest (2.06 KB, patch)
2021-04-21 06:47 UTC, Daniel Engberg
daniel.engberg.lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description schoutm 2020-12-08 18:01:56 UTC
Created attachment 220369 [details]
pgbackrest.shar

Attached is shell archive for databases/pgbackrest.shar

This is the upstream 2.31 release, with patches to change the config directory from hardcoded /etc/pgbackrest to ${LOCALBASE}/etc/pgbackrest

Otherwise it is identical to upstream sources

The applied patches are in an pending upstream PR.
Comment 1 Julien Cigar 2021-01-26 12:23:57 UTC
any update on this? :) if some ports/ committer could take a look (and commit) it would be highly appreciated
Comment 2 schoutm 2021-02-25 15:37:24 UTC
Since this has been sitting for a while, maybe hold off for just a bit longer.  The PR on github that adds --with-configdir hopefully is going to land on master shortly.
Comment 3 schoutm 2021-02-28 19:31:15 UTC
Created attachment 222887 [details]
Updated port, no patches needed based on changes merged upstream

I updated the port shar.

This is based on the first commit upstream where my --with-configdir change was merged.

Also added optional support for ZSTD.

This is ready to commit if a committer can please take a look.
Comment 4 schoutm 2021-03-27 17:27:08 UTC
Is anyone able to merge this?
Comment 5 keith 2021-04-20 16:00:29 UTC
Also looking forward to this being accepted as a port!
Comment 6 schoutm 2021-04-20 18:17:35 UTC
Created attachment 224304 [details]
Updated port SHAR to upstream v2.33

I sent a new shar, updating to tag release/2.33 from upstream.

Again, can someone please merge this or let me know if anything else is needed here?
Comment 7 Daniel Engberg 2021-04-21 06:47:19 UTC
Created attachment 224321 [details]
Patch for pgbackrest

Remove SVN tag
Use USES= gnome , USE_GNOME= libxml instead of LIB_DEPENDS
Reference: https://docs.freebsd.org/en/books/porters-handbook/book.html#using-gnome
Remove compiler:c++11-lang , upstream sets -std=c99
Replace various += with = (see Porter's Handbook)
Rearrange Makefile to make portlint happy
Set ALL_TARGET variable to nothing instead of using do-build
Remove ZSTD_DESC (already defined)
https://github.com/freebsd/freebsd-ports/blob/main/Mk/bsd.options.desc.mk#L548
Fix ZSTD option (configure script will always link zstd if found)

Compile and run tested on FreeBSD 13.0-RC1 (aarch64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64) (w/wo zstd)
Poudriere testport OK 11.4-RELEASE (amd64) (w/wo zstd)
Comment 8 Daniel Engberg 2021-04-21 06:52:41 UTC
Hi,

Please have a look at the patch and set maintainer-approval accordingly (under details), this should be ready to commit.

Best regards,
Daniel
Comment 9 schoutm 2021-04-21 16:02:29 UTC
Comment on attachment 224321 [details]
Patch for pgbackrest

Looks good to me.
Comment 10 schoutm 2021-04-21 16:04:52 UTC
I couldn't get maintainer-a
Comment 11 Daniel Engberg 2021-04-21 16:06:43 UTC
Thanks for having a look!